Get all concessions
https://api.propexo.com/v1/concessions/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the concession
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the unit from the integration vendor
The external ID of the floor plan from the integration vendor
The total amount of the concession
The start date associated with the concession
The end date associated with the concession
Whether the concession is active
Description of the concession
Whether or not the concession occurs a single time
Whether or not the concession is recurring
The monthly fixed amount of the concession in cents
The monthly percentage amount of the concession. This is rounded to the nearest percent
The raw monthly percentage amount of the concession as a string, preserving decimal precision
The one time fixed amount of the concession in cents
The one time percentage amount of the concession. This is rounded to the nearest percent
The raw one time percentage amount of the concession as a string, preserving decimal precision
The number of occurrences of the concession
The fixed amount of the concession in cents
The percentage amount of the concession. This is rounded to the nearest percent
The raw percentage amount of the concession as a string, preserving decimal precision
The amount of months for the lease term
The raw value for the lease term
The raw formula name used to calculate the concession (e.g., "Fixed Amount", "Percent of Charge Code Group")
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the floor plan
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/concessions/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_unit_id": "string",
"x_floor_plan_id": "string",
"total_amount_in_cents": 0,
"start_date": "string",
"end_date": "string",
"is_active": true,
"description": "string",
"is_one_time": true,
"is_recurring": true,
"monthly_fixed_amount_in_cents": 0,
"monthly_percentage_amount": 0,
"monthly_percentage_raw": "string",
"one_time_fixed_amount_in_cents": 0,
"one_time_percentage_amount": 0,
"one_time_percentage_raw": "string",
"number_of_occurrences": 0,
"fixed_amount_in_cents": 0,
"percentage_amount": 0,
"percentage_raw": "string",
"lease_term_in_months": 0,
"lease_term_raw": "string",
"concession_formula_raw": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"unit_id": "string",
"floor_plan_id": "string"
}
]
}